AERS 4.6 DATABASE INSTALL Package AERS_DICTIONARY_API fails to compile with warning PLS-00306: wrong number or types of arguments in call to 'TRYCLASSIFYING' (Doc ID 943012.1)

Last updated on AUGUST 08, 2011

Applies to:

Adverse Event Reporting System - Version: 4.6.0 and later   [Release: 4.6 and later ]
Information in this document applies to any platform.
=================================
***Checked for relevance on 08-AUG-2011***
=================================

Symptoms


After the successful installation of AERS 4.6.0 Database using AERS Installation Guide Release 4.6
B10331-05 August 2007 - Base Line Install, when checking the "Finishinstall.sql.log",

Some of the procedures in scripts such as create-users-part2.sql,allenable.sql,en-ctx-sched.sql did not
complete.  Additionally there was no SUPERUSER created after that.

At the end of database installation there were many invalid objects.

So we ran the script compile_all_invalid.sql several times and finally only AERS1.AERS_DICTIONARY_API package is still invalid.

When attempting to compile this object manually the following error is reported:

SQL> alter package AERS_DICTIONARY_API compile;

SQL> show errors


Errors for PACKAGE BODY AERS_DICTIONARY_API:

LINE/COL ERROR
-------- -----------------------------------------------------------------
762/9 PL/SQL: Statement ignored
762/20 PLS-00306: wrong number or types of arguments in call to
'TRYCLASSIFYING'


Changes

New AERS 4.6 Database Install

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms